data swls(TYPE=COV);
_type_='cov';
input _name_ $ item1-item5;
label item1='I am satisfied with my life.'
         item2='The conditions of my life are excellent.'
         item3='In most ways my life is close to ideal.'
         item4='So far I have gotten the important things I want from life.'
         item5='If I could live my life over, I would change almost nothing.';
cards;
item1 2.565 . . . .
item2 1.424 2.493 . . .
item3 1.481 1.267 2.462 . .
item4 1.328 1.051 1.093 2.769 .
item5 1.529 1.308 1.360 1.128 3.355
;
run;

title 'spearman one-factor model';
proc calis cov method=uls residual data=swls edf=211;
lineqs 
  item1=lambda1 f1 + e1,
  item2=lambda2 f1 + e2,
  item3=lambda3 f1 + e3,
  item4=lambda4 f1 + e4,
  item5=lambda5 f1 + e5;
std
  f1=1,
  e1-e5=psi1-psi5;
run;

title 'true-score equivalent model';
proc calis cov method=uls residual data=swls edf=211;
lineqs 
  item1=lambda1 f1 + e1,
  item2=lambda1 f1 + e2,
  item3=lambda1 f1 + e3,
  item4=lambda1 f1 + e4,
  item5=lambda1 f1 + e5;
std
  f1=1,
  e1-e5=psi1-psi5;
run;

title 'parallel items model';
proc calis cov method=uls residual data=swls edf=211;
lineqs 
  item1=lambda1 f1 + e1,
  item2=lambda1 f1 + e2,
  item3=lambda1 f1 + e3,
  item4=lambda1 f1 + e4,
  item5=lambda1 f1 + e5;
std
  f1=1,
  e1-e5=psi1-psi1;
run;
