*SAS Example;
data examscores (type=corr);
input _type_ $ _name_ $ gaelic english history arith algebra geometry;
cards;
n . 220 . . . . .
corr gaelic 1.00 . . . . .
corr english .439 1.00 . . . .
corr history .410 .351 1.00 . . .
corr arith .288 .354 .164 1.00 . .
corr algebra .329 .320 .190 .595 1.00 .
corr geometry .248 .329 .181 .470 .464 1.00
;
run;

proc calis data=examscores residual;
lineqs 
 gaelic = lambda11 f1 + e1,
 english = lambda21 f1 + e2,
 history = lambda31 f1 + e3,
 arith = lambda42 f2 + e4,
 algebra = lambda52 f2 + e5,
 geometry = lambda62 f2 + e6;
std
 f1=1,
 f2=1,
 e1-e6=psi1-psi6;
cov 
 f1 f2=phi1;
run;

data swls(TYPE=COV);
_type_='cov';
input _name_ $ item1-item5;
label item1='I am satisfied with my life.'
         item2='The conditions of my life are excellent.'
         item3='In most ways my life is close to ideal.'
         item4='So far I have gotten the important things I want from life.'
         item5='If I could live my life over, I would change almost nothing.';
cards;
item1 2.566 . . . .
item2 1.560 2.493 . . .
item3 1.487 1.283 2.462 . .
item4 1.195 0.845 1.127 2.769 .
item5 1.425 1.313 1.313 1.323 3.356
;
run;

title 'spearman one-factor model';
proc calis cov method=ml residual data=swls edf=211;
lineqs 
  item1=lambda1 f1 + e1,
  item2=lambda2 f1 + e2,
  item3=lambda3 f1 + e3,
  item4=lambda4 f1 + e4,
  item5=lambda5 f1 + e5;
std
  f1=1,
  e1-e5=psi1-psi5;
run;

title 'common two-factor model';
proc calis cov method=ml residual data=swls edf=211 corr;
lineqs 
  item1=lambda1 f1 + e1,
  item2=lambda2 f1 + e2,
  item3=lambda3 f1 + e3,
  item4=lambda4 f2 + e4,
  item5=lambda5 f2 + e5;
std
  f1=1,
  f2=1,
  e1-e5=psi1-psi5;
cov 
 f1 f2=phi1;
run;

proc factor data=swls nfactor=2 n=211;
run;